%define name 	bluez-pin
%define version 0.30
%define release %mkrel 5

Summary: 	Bluetooth PIN GUI
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.bluez.org/
License: 	GPL
Group: 		Communications
Source0: 	ftp://gpe.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.bz2
# (fc) 0.26-1mdk use new dbus api (Fedora)
#Patch0:		bluez-pin-0.26-new_dbus_api.patch.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick gtk2-devel libglade2.0-devel libGConf2-devel
BuildRequires:	libbluez-devel
BuildRequires:  dbus-glib-devel >= 0.50
BuildRequires:	perl-XML-Parser

%description
A GTK2 helper app for Bluetooth PIN number.

%prep
%setup -q
#%patch0 -p1 -b .dbus_new_api

#sed -i -e "s/-O2 -g/$RPM_OPT_FLAGS -DHAVE_DBUS_MESSAGE_ITER_GET_BASIC/g" Makefile

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluez-pin 10

%postun
[ $1 != 0 ] && exit 0
update-alternatives --remove bluepin /usr/bin/bluez-pin

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog 
%_bindir/%name
%config %_sysconfdir/dbus*/*
%_datadir/pixmaps/*
%_datadir/%name


%changelog
* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 0.30-5mdv2007.0
+ Revision: 107671
- drop bluez-pin xinit.d script, the dbus support is outdated
- Import bluez-pin



* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 0.30-4mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 0.30-3mdv2007.0
- fix buildrequires

* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 0.30-2mdv2007.0
- try again

* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 0.30-1mdv2007.0
- 0.30

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.26-5mdv2007.0
- Rebuild with latest dbus

* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 0.26-1mdv2007.0
- Rebuild

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.26-3mdk
- rebuild for new dbus on x86_64 too

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.26-2mdk
- Rebuild with latest dbus

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.26-1mdk
- Release 0.26
- Patch0 (Fedora): use new dbus API

* Fri Apr 29 2005 Nicolas Lecureuil <neoclust@mandriva.org> 0.25-1mdk
- New release 0.25

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- New release 0.24
- Remove patch0 (merged upstream)

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-4mdk
- Patch0: API fix for D-Bus 0.22

* Sun Aug 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.23-3mdk
- add BuildRequires: libbluez-devel

* Tue Jul 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-2mdk
- Add xinit autostart for dbus helper
- Fix alternative install (people upgrading for previous release needs to 
re-register alternative)

* Fri Jul 9 2004 Austin Acton <austin@mandrake.org> 0.23-1mdk
- 0.23
